﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Mandatories" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Mandatory Validations</title>

  <!-- LOOP THROUGH REPORTING PARTY SEQUENCE CONTEXTS -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $RPSEQ.ContextId]">

    <let name="thisContextId" value="@id" />

    <!-- Rule ID: VR.ATO.MRPTS.000009
         ELS Ref: V17

		     IF ANY OCCURRENCE OF ([mrpts2] = NULLORBLANK) 
           RETURN VALIDATION MESSAGE
         ENDIF

		     [mrpts2] = pyin.xx.xx:Report.Type.Code
    -->
    <assert id="VR.ATO.MRPTS.000009" diagnostics="DVR.ATO.MRPTS.000009"
            test="not(
                        not($mrpts2[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])
                     )" />
    
    
    <!-- Rule ID: VR.ATO.MRPTS.000010
         ELS Ref: V17

		     IF ANY OCCURRENCE OF ([mrpts3] = NULLORBLANK) 
		       RETURN VALIDATION MESSAGE
		     ENDIF

		     [mrpts3] = pyin.xx.xx:Report.Action.Code
    -->	
    <assert id="VR.ATO.MRPTS.000010" diagnostics="DVR.ATO.MRPTS.000010"
            test="not(
                        not($mrpts3[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])
                     )" />
  </rule>
    
</pattern>
