﻿<?xml version="1.0" encoding="utf-8"?>
<diagnostics xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <diagnostic id="DVR.ATO.ODRPT.000001" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.ODRPT.000001</Code>
      <Description>The number of Reporting Party Client contexts cannot exceed 1000</Description>
      <LongDescription>When the Client lodgment report request type is set to false, the number of Reporting Party Client contexts cannot exceed 1000</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.ODRPT.000002" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.ODRPT.000002</Code>
      <Description>The number of Reporting Party Client contexts must equal zero</Description>
      <LongDescription>When the Client lodgment report request type is set to true, the number of Reporting Party Client contexts must equal zero</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.ODRPT.000003" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.ODRPT.000003</Code>
      <Description>The number of Reporting Party Client contexts must be at least 1</Description>
      <LongDescription>When the Client lodgment report request type is set to false, the number of Reporting Party Client contexts must be at least 1</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.ODRPT.000004" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.ODRPT.000004</Code>
      <Description>ABN is invalid</Description>
      <LongDescription/>
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.ODRPT.000005" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.ODRPT.000005</Code>
      <Description>TFN must be a valid TFN</Description>
      <LongDescription>The Tax File Number has failed the Tax File Number algorithm check.</LongDescription>
      <Location>pyid.02.00:Identifiers.TaxFileNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.ODRPT.000006" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.ODRPT.000006</Code>
      <Description>Sequence Container must not be duplicated</Description>
      <LongDescription>The Sequence Container within the Client Sequence Dimension context instance must not be duplicated</LongDescription>
      <Location>xbrli:entity/xbrli:segment/xbrldi:typedMember/SqNumDim.02.01:SequenceNumberContainer</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.ODRPT.000007" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.ODRPT.000007</Code>
      <Description>Entity identifier scheme for Reporting Party Client must be "http://www.ato.gov.au/ran"</Description>
      <LongDescription />
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.ODRPT.000008" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.ODRPT.000008</Code>
      <Description>Report Type must be provided</Description>
      <LongDescription/>
      <Location>pyin.02.02:Report.Type.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.ODRPT.000009" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.ODRPT.000009</Code>
      <Description>Client lodgment report request type must be provided</Description>
      <LongDescription/>
      <Location>pyde.02.20:OrganisationDetails.WholeOfPractice.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.ODRPT.000010" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.ODRPT.000010</Code>
      <Description>Report Type is invalid</Description>
      <LongDescription>The Report Type is not valid. Valid Report Types are: "Income Tax Client Report", "Activity Statement Client Report", and "Activity Statement Lodgment Report".</LongDescription>
      <Location>pyin.02.02:Report.Type.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.ODRPT.000011" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.ODRPT.000011</Code>
      <Description>Either the Australian Business Number or Tax File Number must be populated, but not both</Description>
      <LongDescription>When the Client lodgment report request type is set to false, either the Australian Business Number or Tax File Number must be populated, but not both</LongDescription>
      <Location>pyde.02.20:OrganisationDetails.WholeOfPractice.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.ODRPT.000012" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.ODRPT.000012</Code>
      <Description>Australian Business Number and Tax File Number cannot be populated</Description>
      <LongDescription>When the Client lodgment report request type is set to true, the Australian Business Number and Tax File Number must not be populated</LongDescription>
      <Location>pyde.02.20:OrganisationDetails.WholeOfPractice.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.000209" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430296</Code>
      <Description>Invalid context. The number of Reporting party contexts must equal 1</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500030" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500030</Code>
      <Description>Invalid context. Period start date must be the same across all duration contexts.</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500033" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500033</Code>
      <Description>Invalid context. Period end date must be the same across all duration contexts.</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500034" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500034</Code>
      <Description>Invalid context. Period start date must be the same as the Period end date for this form.</Description>
      <LongDescription/>
      <Location>xbrli:period/xbrli:startDate</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500035" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500035</Code>
      <Description>Invalid context. Period start date cannot be any day in the future.</Description>
      <LongDescription/>
      <Location>xbrli:period/xbrli:startDate</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500078" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500078</Code>
      <Description>Entity identifier scheme for ReportingParty must be "http://www.ato.gov.au/ran"</Description>
      <LongDescription/>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500079" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500079</Code>
      <Description>The Requestor Agent number has failed the Tax Agent number algorithm check</Description>
      <LongDescription />
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500080" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500080</Code>
      <Description>Unexpected RAN mismatch with Reporting Party</Description>
      <LongDescription />
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

</diagnostics>
